<style src='@/resources/css/swiper.min.css'></style>

<template>
    <div class='swiper-slide'></div>
</template>


<script>
    import Swiper from 'swiper';
    import {mapGetters, mapMutations} from 'vuex';

    export default {
      name: 'Swiper',

      computer: {
        ...mapGetters(['swiper'])
      },

      mounted() {
        const swiper = new Swiper('.swiper-container', {
          noSwipingClass: 'swiper-no-swiping',
          slidesPerView: 1,
          spaceBetween: 0,
          pagination: {
            el: '.swiper-pager',
            clickable: true,
            //type: 'progressbar',
            renderBullet: this.renderBullet
          }
        });

        this.setSwiper(swiper);
        this.bulletHack(swiper);
        this.$store.dispatch('setSeen');
      },

      methods: {

        ...mapMutations(['setSwiper']),

        bulletHack(swiper) {

          const slides = 100 / swiper.slides.length,
            css = '.swiper-pagination-bullet { width: ' + slides + '% }',
            head = document.head || document.getElementsByTagName('head')[0],
            style = document.createElement('style');

          head.appendChild(style);
          style.type = 'text/css';

          if (style.styleSheet) {
            style.styleSheet.cssText = css;
          } else {
            style.appendChild(document.createTextNode(css));
          }
        },

        renderBullet(index, className) {
          return '<span class="' + className + '"><span class="swiper-progress-number">' + (index + 1) + '</span></span>'
        }
      }

    }

</script>
